diff mbox

[04/10] Introduce cirros-pygrub-pv test

Message ID 1489845611-6322-5-git-send-email-geza.gemes@gmail.com (mailing list archive)
State New, archived
Headers show

Commit Message

Gémes Géza March 18, 2017, 2 p.m. UTC
This test verifies booting the cirros image using pygrub

Signed-off-by: Géza Gémes <geza.gemes@gmail.com>
---
 tests/cirros-pygrub-pv | 27 +++++++++++++++++++++++++++
 tests/series           |  1 +
 2 files changed, 28 insertions(+)
 create mode 100644 tests/cirros-pygrub-pv
diff mbox

Patch

diff --git a/tests/cirros-pygrub-pv b/tests/cirros-pygrub-pv
new file mode 100644
index 0000000..4c15551
--- /dev/null
+++ b/tests/cirros-pygrub-pv
@@ -0,0 +1,27 @@ 
+#!/usr/bin/env bash
+
+set -e
+
+function cirros-pygrub-pv-cleanup() {
+    tear_down_cirros_tests $tmpdir
+}
+
+function cirros-pygrub-pv-test() {
+    if [[ ! -d $tmpdir ]]
+    then
+        set_up_cirros_tests
+    fi
+    cd $tmpdir
+    cat >cirros-pygrub-pv.cfg <<EOF
+name = "raisin-test"
+memory = 128
+vcpus = 2
+bootloader = "pygrub"
+disk = [ '${tmpdir}/${CIRROS_DISK_FILE},raw,xvda,rw' ]
+extra = "root=/dev/xvda1"
+vif = [ 'bridge=xenbr1' ]
+EOF
+
+    $SUDO xl create cirros-pygrub-pv.cfg
+    check_guest_alive
+}
diff --git a/tests/series b/tests/series
index 38ee35a..372fafb 100644
--- a/tests/series
+++ b/tests/series
@@ -2,3 +2,4 @@  busybox-pv
 busybox-hvm
 busybox-hvm-migrate
 cirros-separate-kernel-pv
+cirros-pygrub-pv